: Class Applet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class Applet

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Composite
                  |
                  +--com.mortbay.HTML.Block
                        |
                        +--com.mortbay.HTML.Applet

public class Applet
extends Block

An Applet Block

Lets you set the class name from the program, and optionally, the size and the codebase.

This class uses any attributes set in Element.

#### Usage

     com.mortbay.Page page = new com.mortbay.HTML.Page();
     page.add(new com.mortbay.Applet("com.mortbay.Foo.App"));

Version:
  $Id: Applet.java,v 2.3 1999/09/22 15:08:41 gregw Exp $
Author:
  Matthew Watson
See Also:
  `Block`

Field Summary
`java.lang.String` | `codeBase`

Fields inherited from class com.mortbay.HTML.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class com.mortbay.HTML.Composite
`elements, nest`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Applet(java.lang.String className)` Create an Applet Element

Method Summary
`Applet` | `codeBase(java.lang.String cb)` Set the codebase
`Applet` | `setAlternate(Element alt)` Deprecated. use add
`Applet` | `setAlternate(java.lang.String alt)` Deprecated. use add
`Applet` | `setDebug(boolean debug)` Set whether debugging is on in the Applet
`Applet` | `setDimensions(int height, int width)` Set the dimensions of the Applet
`Applet` | `setParam(java.lang.String name, java.lang.String value)`
`void` | `write(java.io.Writer out)` Write out the HTML

Methods inherited from class com.mortbay.HTML.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### codeBase

    public java.lang.String codeBase

Constructor Detail

### Applet

    public Applet(java.lang.String className)

  Create an Applet Element
  Parameters:
    `className` - The name of the class to give for the applet

Method Detail

### setDimensions

    public Applet setDimensions(int height,
                                int width)

  Set the dimensions of the Applet

### setDebug

    public Applet setDebug(boolean debug)

  Set whether debugging is on in the Applet

  This controls whether the com.mortbay.Base.Code debug messages will be printed to the java console.

  See Also:
    `

    Defaults to whether debug is turned on in the generating app

    `

### setAlternate

    public Applet setAlternate(Element alt)

  Deprecated. use add

  Set an alternate display for non-java browsers.
  Parameters:
    `alt` - The alternate element to display

### setAlternate

    public Applet setAlternate(java.lang.String alt)

  Deprecated. use add

  Set an alternate display for non-java browsers
  Parameters:
    `alt` - The alternate element to display

### codeBase

    public Applet codeBase(java.lang.String cb)

  Set the codebase

### setParam

    public Applet setParam(java.lang.String name,
                           java.lang.String value)

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Write out the HTML
  Overrides:
    write in class Block
  Tags copied from class: Composite
  Parameters:
    `out` - Writer to write the element to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD